import request from '@/utils/request'

import {
	baseUrl
}
from '@/api/baseurl'


// 获取题库列表
export function questionList(params) {
	return request({
		url: baseUrl + '/student/question/info/getQuestionInfoList',
		method: 'get',
		params
	})
}

// 获取随机题库列表
export function questionListRandom(params) {
	return request({
		url: baseUrl + '/student/question/info/getRandQuestionInfoList',
		method: 'get',
		params
	})
}

// 获取错题收藏列表
export function questionErrorList(params) {
	return request({
		url: baseUrl + '/student/question/error/getQuestionErrorList',
		method: 'get',
		params
	})
}

// 新增错题
export function questionErrorAdd(id) {
	return request({
		url: baseUrl + '/student/question/error',
		method: 'post',
		data: {
			questionId: id
		}
	})
}

// 删除错题
export function questionErrorDel(ids) {
	return request({
		url: baseUrl + `/student/question/error/${ids}`,
		method: 'delete'
	})
}


