import request from '@/utils/request'
import md5 from 'crypto-js/md5'

import {
	baseUrl
}
from '@/api/baseurl'


// 查询轮播图列表
export function getHomePageDataList() {
	return request({
		url: baseUrl + `/student/applet/homePage/getHomePageDataList`,
		method: 'get'
	})
}

//拼多多密钥计算
function calcAuth(params, client_secret) {

	var arr = []
	Object.keys(params).sort().forEach((key) => {
		arr.push(key + params[key])
	})
	arr[0] = client_secret + arr[0]
	arr[arr.length - 1] += client_secret


	return md5(arr.join('')).toString().toUpperCase()
}

// 查询轮播图列表
export function getPDD(data) {

	let params = {
		type: 'pdd.ddk.goods.recommend.get',
		data_type: 'JSON',
		client_id: 'fa0f2debb5b0444b9719919d7b8204d1',
		pid: '1642187_203462988',
		timestamp: new Date().getTime().toString().slice(0, 10),
		...data
	}

	let client_secret = '3305b6bb37252495848e67fd991134651e308495'

	params.sign = calcAuth(params, client_secret)

	return request({
		url: `https://gw-api.pinduoduo.com/api/router`,
		method: 'get',
		params
	})
}



// 查询小程序跳转参数
export async function getPddWxData(data) {

	let params = {
		type: 'pdd.ddk.goods.promotion.url.generate',
		data_type: 'JSON',
		client_id: 'fa0f2debb5b0444b9719919d7b8204d1',
		p_id: '1642187_203462988',
		timestamp: new Date().getTime().toString().slice(0, 10),
		generate_we_app: true
	}

	let getPDDRes = await getPDD(data)
	params.search_id = getPDDRes.goods_basic_detail_response.list[0].search_id
	let arr = '['
	getPDDRes.goods_basic_detail_response.list.map((val) => {
		arr += '"' + val.goods_sign + '",'
	})
	params.goods_sign_list = arr.slice(0, -1) + ']'


	let client_secret = '3305b6bb37252495848e67fd991134651e308495'

	params.sign = calcAuth(params, client_secret)

	let wxDataRes = await request({
		url: `https://gw-api.pinduoduo.com/api/router`,
		method: 'get',
		params
	})

	let dataArr = []

	getPDDRes.goods_basic_detail_response.list.map((val, index) => {
		val.we_app_info = wxDataRes.goods_promotion_url_generate_response.goods_promotion_url_list[index].we_app_info
	})
	
	return getPDDRes.goods_basic_detail_response.list
}
